# Pastebin.Privacy
Date: 2019-10-31

cc.funkemunky.api.utils

## Enum Pastebin.Privacy

- java.lang.Object
- - java.lang.Enum<Pastebin.Privacy>
  - - cc.funkemunky.api.utils.Pastebin.Privacy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Pastebin.Privacy>

Enclosing class:
  Pastebin

    public static enum Pastebin.Privacy
    extends java.lang.Enum<Pastebin.Privacy>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PRIVATE`
`PUBLIC`
`UNLISTED`

### Method Summary

All Methods Static Methods Concrete Methods
`static Pastebin.Privacy` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Pastebin.Privacy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PUBLIC

    public static final Pastebin.Privacy PUBLIC

#### UNLISTED

    public static final Pastebin.Privacy UNLISTED

#### PRIVATE

    public static final Pastebin.Privacy PRIVATE

### Method Detail

#### values

    public static Pastebin.Privacy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Pastebin.Privacy c : Pastebin.Privacy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Pastebin.Privacy valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null